menu = {}
button_menu = {}

function menu.load()

	boxImg = love.graphics.newImage("images/placeholder_button.png")

	medium = love.graphics.newFont(45)
	menu_button_spawn(screenWidth/8, screenHeight/5, boxImg, 001)
	menu_button_spawn(screenWidth/8, (screenHeight/5)*2, boxImg, 002)
	menu_button_spawn(screenWidth/8, (screenHeight/5)*3, boxImg, 003)
	menu_button_spawn(screenWidth/8, (screenHeight/5)*4, boxImg, 004)

	menuSelector = {}

	menuSelector[1] = {
		x = screenWidth/2 - 1,
		y = screenHeight/2 
	}

	menuSelector[2] = {
		x = screenWidth/2 + 1,
		y = screenHeight/2
	}

	menuSelectorVel = 300

end

function menu.update(dt)

	for p = 1,2 do

		--======SELECTOR MOVEMENT======--

		if love.keyboard.isDown(pControl[p].Right) then

			menuSelector[p].x = menuSelector[p].x + menuSelectorVel * dt

			if love.keyboard.isDown(pControl[p].Up) then

				menuSelector[p].y = menuSelector[p].y - menuSelectorVel * dt

			elseif love.keyboard.isDown(pControl[p].Down) then

				menuSelector[p].y = menuSelector[p].y + menuSelectorVel * dt

			end

		elseif love.keyboard.isDown(pControl[p].Left) then

			menuSelector[p].x = menuSelector[p].x - menuSelectorVel * dt

			if love.keyboard.isDown(pControl[p].Up) then

				menuSelector[p].y = menuSelector[p].y - menuSelectorVel * dt

			elseif love.keyboard.isDown(pControl[p].Down) then

				menuSelector[p].y = menuSelector[p].y + menuSelectorVel * dt

			end

		elseif love.keyboard.isDown(pControl[p].Down) then

			menuSelector[p].y = menuSelector[p].y + menuSelectorVel * dt

		elseif love.keyboard.isDown(pControl[p].Up) then

			menuSelector[p].y = menuSelector[p].y - menuSelectorVel * dt

		end

		--======BUTTON COLLISION======--

		for i,v in ipairs(button_menu) do

			if menu_inRect(menuSelector[p].x, menuSelector[p].y, 0, 0, v.x, v.y, v.img:getWidth(), v.img:getHeight()) then

				v.inFocus = true

			else 

				v.inFocus = false

			end
		end
	end
end

function menu.draw()

	love.graphics.setColor(255,255,255)
	love.graphics.rectangle("fill",0,0,screenWidth, screenHeight)
	menu_button_draw()


	love.graphics.setColor(0, 255,0)
	for p = 1,2 do

		love.graphics.circle("fill", menuSelector[p].x, menuSelector[p].y, 3, 10)

	end

end

function menu.keypressed(key,unicode)

	if key == "escape" then

		state = "splash"
		button_fade = 255
		blackscreen = 0

	end

end

function menu_button_spawn(x, y, img, id)
	table.insert(button_menu, {x = x, y = y, img = img, id = id, inFocus = false})
end

function menu_button_draw()
	for i,v in ipairs(button_menu) do

		if v.inFocus == false then
			love.graphics.setColor(0,0,0)

		elseif v.inFocus == true then

			love.graphics.setColor(255,255,255)
		end

		love.graphics.draw(v.img,v.x,v.y)
	end
end

function menu_inRect(ax, ay, aw, ah, bx, by, bw, bh)
   if ax > (bx + bw) or (ax + aw) < bx then return false end
   if ay > (by + bh) or (ay + ah) < by then return false end
   return true
end